unit uEditorCursor;

interface

uses
  Rubies, HEditor;

var
  cEditorCursors: Tvalue;

function EditorCursors_alloc(This: Tvalue; real: TEditorCursors): Tvalue;
procedure Init_EditorCursor;

implementation

uses
  Pythia, uEditor, uNotifyPersistent;

function EditorCursors_alloc(This: Tvalue; real: TEditorCursors): Tvalue;
begin
  result := TmpAlloc(This, real);
end;

procedure Init_EditorCursor;
begin
  cEditorCursors := rb_define_class_under(cEditor, 'Cursors', cNotifyPersistent);
  DefineProp(cEditorCursors, TEditorCursors);
end;

end.
